> For the complete documentation index, see [llms.txt](https://docs.verge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verge.io/plan-and-deploy/vi/huong-dan-trien-khai/sizing/storage-driver-list.md).

# Các trình điều khiển lưu trữ đi kèm

Danh sách tham khảo các trình điều khiển lưu trữ được đóng gói cùng VergeOS.

VergeOS bao gồm một bộ trình điều khiển liên quan đến lưu trữ khá rộng như một phần của ngăn xếp ảo hóa dựa trên Linux của mình. Trang này phản ánh các trình điều khiển được đóng gói trong nền tảng cho bản phát hành VergeOS mới nhất.

{% hint style="info" %}
**Cần phần cứng không được hiển thị?**

Nếu bạn không thấy một họ bộ điều khiển lưu trữ mà bạn dự định sử dụng, hãy liên hệ **Phòng Kinh doanh VergeOS** để được hướng dẫn.\
Họ có thể giúp đánh giá yêu cầu của bạn và xác nhận liệu phần cứng của bạn có phù hợp với các phương pháp triển khai được khuyến nghị hay không.
{% endhint %}

***

## Bộ điều khiển RAID

| Họ                                                                          | Trình điều khiển               |
| --------------------------------------------------------------------------- | ------------------------------ |
| Microchip/Adaptec SmartRAID, SmartHBA, HPE Smart Array Gen10+               | `smartpqi`                     |
| dòng Adaptec/Microsemi aacraid                                              | `aacraid`                      |
| HPE Smart Array Gen8/Gen9                                                   | `hpsa`                         |
| Broadcom/LSI MegaRAID SAS — bao gồm Aero/9560 tri-mode (`1000:10e0`–`10e7`) | `megaraid_sas`                 |
| LSI MegaRAID đời cũ (mbox/v1)                                               | `megaraid_mbox`, `megaraid`    |
| IBM Power RAID                                                              | `ipr`                          |
| HighPoint RocketRAID (dòng IOP)                                             | `hptiop`                       |
| Areca                                                                       | `arcmsr`                       |
| Promise SuperTrak                                                           | `stex`                         |
| 3ware 9xxx / SAS / đời cũ                                                   | `3w-9xxx`, `3w-sas`, `3w-xxxx` |
| ATTO ExpressSAS                                                             | `esas2r`                       |
| Mylex / IBM ServeRAID / Marvell UMI                                         | `myrb`, `myrs`, `ips`, `mvumi` |

***

## Bộ điều hợp bus chủ SAS / SATA

| Họ                                                   | Trình điều khiển            |
| ---------------------------------------------------- | --------------------------- |
| Broadcom SAS2/SAS3 (9200/9300/9400) và 9500 tri-mode | `mpt3sas`                   |
| Broadcom 24G tri-mode (9600, SAS40xx/41xx/50xx/51xx) | `mpi3mr`                    |
| PMC/Microsemi PM8001/PM80xx SAS                      | `pm80xx`                    |
| Marvell SAS                                          | `mvsas`                     |
| SAS tích hợp trên Intel C600                         | `isci`                      |
| Adaptec SAS                                          | `aic94xx`                   |
| LSI Fusion đời cũ (SAS/SPI/FC)                       | `mptsas`, `mptspi`, `mptfc` |

***

## Fibre Channel và FCoE

| Họ                                                 | Trình điều khiển |
| -------------------------------------------------- | ---------------- |
| Emulex LightPulse — qua LPe35000/LPe36000 (G7/G7P) | `lpfc`           |
| QLogic/Marvell FC — dòng 2400/2500/2600/2700/2800  | `qla2xxx`        |
| Chelsio T4/T5/T6 FCoE                              | `csiostor`       |
| Brocade/Cavium                                     | `bfa`            |
| Cisco VIC FC                                       | `fnic`           |
| Marvell FastLinQ FCoE                              | `qedf`           |
| Đích Emulex EFCT                                   | `efct`           |

***

## NVMe, SSD PCIe và lưu trữ ảo

| Họ                                                          | Trình điều khiển  |
| ----------------------------------------------------------- | ----------------- |
| Bất kỳ SSD NVMe nào                                         | `nvme` (khớp lớp) |
| NVMe phía sau Intel VMD                                     | `vmd`             |
| SSD PCIe Micron P320/P420                                   | `mtip32xx`        |
| VMware PVSCSI                                               | `vmw_pvscsi`      |
| virtio-scsi (ảo hóa bán phần, cho cài đặt lồng nhau/ảo hóa) | `virtio_scsi`     |

***

{% hint style="info" %}
**Sự khác biệt theo bản phát hành**

Tính khả dụng của trình điều khiển có thể khác nhau giữa các bản phát hành VergeOS khi nhân Linux phát triển.\
Danh sách này phản ánh các trình điều khiển được đưa vào tại thời điểm build cho bản phát hành mới nhất.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verge.io/plan-and-deploy/vi/huong-dan-trien-khai/sizing/storage-driver-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
